Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.games.staticmethods
Class FictitiousPlay

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.games.staticmethods.FictitiousPlay

    public class FictitiousPlay

extends java.lang.Object

TODO Put here a description of what this class does.

Author:
  MosheKatzwer. Created Apr 24, 2013.

Nested Class Summary
`private static class` | `FictitiousPlay.FictPlayActionListener`

Field Summary
`private static javax.swing.JButton` | `explain`
`private static java.lang.String` | `EXPLANATION_TEXT`
`private static edu.princeton.plot.helpercomponents.NumberTextFields.DoubleTextField` | `logitCoeff`
`private static edu.princeton.plot.helpercomponents.NumberTextFields.IntegerTextField` | `numRounds`
`private static javax.swing.JPanel` | `optPanel`
`private static javax.swing.JSpinner` | `startAct1`
`private static javax.swing.JSpinner` | `startAct2`
`private static javax.swing.JCheckBox` | `useUniformPrior`

Constructor Summary
`FictitiousPlay()`

Method Summary
`static double[][]` | `doFictitiousPlay(Game game)`
`static double[][]` | `doFictitiousPlay(Game game, double[] edf1_0, double[] edf2_0, int numPlays, double logit_coeff, boolean showOutput)`
`private static void` | `getProb(double[] prob, double[] v, double logit_coeff)`
`private static void` | `setOptPanel()`
`private static void` | `update(double[] new_prob_history, double[] prob_history, double[] prob_stage, int numPlays)`
`private static void` | `update(double[] new_prob_history, double[] prob_history, int br, int numPlays)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### optPanel

    private static javax.swing.JPanel optPanel

### startAct1

    private static javax.swing.JSpinner startAct1

### startAct2

    private static javax.swing.JSpinner startAct2

### useUniformPrior

    private static javax.swing.JCheckBox useUniformPrior

### numRounds

    private static edu.princeton.plot.helpercomponents.NumberTextFields.IntegerTextField numRounds

### logitCoeff

    private static edu.princeton.plot.helpercomponents.NumberTextFields.DoubleTextField logitCoeff

### explain

    private static javax.swing.JButton explain

### EXPLANATION_TEXT

    private static java.lang.String EXPLANATION_TEXT

Constructor Detail

### FictitiousPlay

    public FictitiousPlay()

Method Detail

### doFictitiousPlay

    public static double[][] doFictitiousPlay(Game game)

### doFictitiousPlay

    public static double[][] doFictitiousPlay(Game game,
                                              double[] edf1_0,
                                              double[] edf2_0,
                                              int numPlays,
                                              double logit_coeff,
                                              boolean showOutput)

### setOptPanel

    private static void setOptPanel()

### update

    private static void update(double[] new_prob_history,
                               double[] prob_history,
                               int br,
                               int numPlays)

### getProb

    private static void getProb(double[] prob,
                                double[] v,
                                double logit_coeff)

### update

    private static void update(double[] new_prob_history,
                               double[] prob_history,
                               double[] prob_stage,
                               int numPlays)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD